﻿<!-- templates/panel.html -->
{% extends 'base.html' %}

{% block title %} 个人中心 {% endblock %}

{% block head %}
{{ super() }}
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<center>
    <div class="page-wrap">
        <div class="page-content">
            <main class="main-content">
                <div class="container">
                    <section class="section-userinfo">
                        <div class="container">
                            {% if user.head %}
                            <img src="{{ url_for('static',filename=user.head) }}" width='100' alt="初始">
                            {% endif %}
                            <div style="margin-left:0px;">
                                <!-- 这个是整居中的：：class="row align-items-center" -->
                                <h2 id="myh3" class="mb-30" style="margin-top: 30px;padding-left:10px">{{user.username}}
                                </h2>
                                <h5 id="myh5">
                                    {% if user.admin_level == 0 %}
                                    {% if user.identity %}
                                    {% if user.identity_ok %}
                                    已认证
                                    {% elif user.identity_reason %}
                                    认证未通过（{{ user.identity_reason }}）
                                    {% else %}
                                    已上传，等待审核
                                    {% endif %}
                                    {% else %}
                                    未认证

                                    {% endif %}
                                    {% endif %}
                                </h5>
                                <h5>
                                    {% if not user.identity_ok %}
                                    <a href="{{ url_for('Admin_account.identity') }}" class="btn btn-primary mr-1 mb-3">立即认证</a>
                                    {% endif %}
                                </h5>
                            </div>
                            <h4 class="mb-30">邮箱：{{user.email}}</h4>
                            <h4 class="mb-30">
                                {% if user.have_unread_messages %}
                                有新的消息
                                {% endif %}
                            </h4>
                        </div>
                    </section>

                    <nav class="nav-item">
                        <div class="container">
                            {% if user.admin_level == 0 %}
                            <a href="{{ url_for('Change_info.change_head') }}" class="btn btn-primary mr-1 mb-3">修改头像</a>
                            <a href="{{ url_for('Change_info.change_name') }}" class="btn btn-primary mr-1 mb-3">修改昵称</a><br />
                            <a href="{{ url_for('Password.change') }}" class="btn btn-primary mr-1 mb-3">修改密码</a>
                            <a href="{{ url_for('store.add_product') }}" class="btn btn-primary mr-1 mb-3">添加商品</a><br />
                            <a href="{{ url_for('Check_store.my_prod') }}" class="btn btn-primary mr-1 mb-3">我的商品</a>
                            <a href="{{ url_for('Browse.my_browse') }}" class="btn btn-primary mr-1 mb-3">浏览记录</a><br />
                            <a href="{{ url_for('Collect.my_collect') }}" class="btn btn-primary mr-1 mb-3">收藏夹</a>
                            <a href="{{ url_for('chat.message_list') }}"
                                class="btn btn-primary mr-1 mb-3">消息列表</a><br />
                            {% else %}
                            <a href="{{ url_for('Admin_account.admin_account') }}" class="btn btn-primary mr-1 mb-3">账户管理</a>
                            <a href="{{ url_for('Admin_account.admin_picture') }}" class="btn btn-primary mr-1 mb-3">商品审核</a>
                            <a href="{{ url_for('Admin_account.admin_examine') }}" class="btn btn-primary mr-1 mb-3">认证审核</a>
                            <br />
                            <br />
                            <br />
                            {% endif %}
                        </div>
                    </nav>
                </div>
            </main> <!-- end of main -->
        </div>
    </div>
</center>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}